<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/2_GameLib/components/gameLibComponents.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d05/game_lib_components_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">gameLibComponents.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d05/game_lib_components_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifdef COMPONENT_SYSTEM</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">//Generic components from GameLib (script side of c++ classes)</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">typedef</span> <span class="keywordtype">int</span>[] IEntityComponentSource;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">class </span>IEntityComponentSource: <a class="code hl_class" href="../../db/da4/class_base_container.html">BaseContainer</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>};</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="keyword">enum</span> TouchEvent</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    ON_ENTER,</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    ON_STAY,</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    ON_EXIT</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>};</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">//TypeID MeshObjectTypeID;</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">//TypeID HierarchyTypeID;</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">//TypeID RigidBodyTypeID;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">//TypeID SphereGeometryTypeID;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">//TypeID BoxGeometryTypeID;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="keyword">class </span>GenericComponent : <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>{</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    proto native <span class="keywordtype">int</span> GetEventMask();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    proto native <span class="keywordtype">int</span> SetEventMask(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> mask);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    proto native <span class="keywordtype">int</span> ClearEventMask(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> mask);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ae8753efaeea05f65094a4875a694a368">Activate</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ad612d0926324764327bf72adae591dbd">Deactivate</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#acd2bd274749fe88c223cf2309f6fb9d6">IsActive</a>();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> GenericComponent(IEntityComponentSource src, <a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent);   </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>}</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="keyword">class </span>GenericComponentClass</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>{</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="keywordtype">bool</span> DependsOn(<span class="keyword">typename</span> otherClass, <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#gad26f01d8716ee335b773c04a1f8d5c82">TypeID</a> otherTypeID) {}</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>}</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="keyword">class </span>ScriptComponent : GenericComponent</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>{</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment">    Event when owner entity is touched</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="comment">    \param owner</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment">    Touched entity</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="comment">    \param extra</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment">    Bitmask of touch types TODO</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="comment">    */</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d00/_easter_egg_8c.html#a48aff4fc92d99edc1843836279de1caa">EOnTouch</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a32e784d798cbf31e1c3214168eefda85">EOnInit</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnExtra(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnNotVisible(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnVisible(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af518addd8ca6ecba428ecee6b06506a9">EOnFrame</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">float</span> timeSlice);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnPostFrame(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnAnimEvent(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <a class="code hl_class" href="../../d8/d22/class_anim_event.html">AnimEvent</a> extra);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnSoundEvent(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <a class="code hl_class" href="../../dc/d9a/class_sound_event.html">SoundEvent</a> extra);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/df7/_hatchback__02_8c.html#a3e8f850b08789315e5586096c431c415">EOnPostSimulate</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">float</span> timeslice);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnSimulate(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">float</span> timeslice);</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnJointBreak(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnPhysicsMove(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <span class="keywordtype">int</span> extra);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d32/_day_z_player_implement_8c.html#ad70fb93ae4fecf6872c783905d1253de">EOnContact</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, <a class="code hl_class" href="../../d8/d4e/group___constraints.html#dd/d2a/class_contact">Contact</a> extra);</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnActivate(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner);</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> EOnDeactivate(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner);</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> OnComponentInsert(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, ScriptComponent <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> OnComponentRemove(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner, ScriptComponent <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>);</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> OnDelete(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> owner);</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>}</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span><span class="keyword">typedef</span> <span class="keywordtype">int</span>[] SoundHandle;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span><span class="keyword">class </span>SignalInput</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>{</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    <span class="keywordtype">string</span> m_name;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    <span class="keywordtype">float</span> m_value;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    <span class="keywordtype">void</span> SignalInput()</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    {</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        m_value = 0;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    }</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>};  </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span><span class="keyword">class </span>BaseSoundComponent : GenericComponent</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>{</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    <span class="comment">/* Get list of &#39;events&#39;. */</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    proto native <span class="keywordtype">int</span> GetEventNames(out <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> events);</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>    <span class="comment">/* Get list of &#39;signals. &#39;*/</span></div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    proto native <span class="keywordtype">int</span> GetSignalNames(out <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> signals);</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    <span class="comment">/* Convert signal name to index. */</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    proto native <span class="keywordtype">int</span> GetSignalIndex(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    <span class="comment">/* Set signal value by &#39;name&#39;. */</span></div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    proto native <span class="keywordtype">void</span> SetSignalValueName(<span class="keywordtype">string</span> signal, <span class="keywordtype">float</span> value);</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    <span class="comment">/* Set signal value by &#39;index&#39;. */</span></div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    proto native <span class="keywordtype">void</span> SetSignalValue(<span class="keywordtype">int</span> index, <span class="keywordtype">float</span> value);</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    <span class="comment">/* Play &#39;event&#39;. */</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    proto native SoundHandle <a class="code hl_function" href="../../d9/dbc/_smpt_anim_meta_8c.html#a1044d828832cd398ac046799915a5136">Play</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>    <span class="comment">/* Play sounds based on triggers. */</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    proto native SoundHandle <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>();</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    <span class="comment">/* Terminate &#39;sound&#39;. */</span></div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>    proto native <span class="keywordtype">void</span> Terminate(SoundHandle handle);</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    <span class="comment">/* Check if &#39;sound&#39; is played. */</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>    proto native <span class="keywordtype">bool</span> IsPlayed(SoundHandle handle);</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    <span class="comment">/* Validate handle. */</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    proto native <span class="keywordtype">bool</span> IsHandleValid(SoundHandle handle);</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>    <span class="comment">/* Set sound position. */</span></div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga93c78d0bb0fc827950a06351889947dc">SetTransform</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>[] transf);</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    <span class="comment">/* Enable debug mode. */</span></div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>    proto native <span class="keywordtype">void</span> SetDebug(<span class="keywordtype">bool</span> value);</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>};</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span> </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_af518addd8ca6ecba428ecee6b06506a9"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af518addd8ca6ecba428ecee6b06506a9">EOnFrame</a></div><div class="ttdeci">override void EOnFrame(IEntity other, float timeSlice)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l02174">EntityAI.c:2174</a></div></div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="a_day_z_player_implement_8c_html_ad70fb93ae4fecf6872c783905d1253de"><div class="ttname"><a href="../../d8/d32/_day_z_player_implement_8c.html#ad70fb93ae4fecf6872c783905d1253de">EOnContact</a></div><div class="ttdeci">override protected void EOnContact(IEntity other, Contact extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d32/_day_z_player_implement_8c_source.html#l03376">DayZPlayerImplement.c:3376</a></div></div>
<div class="ttc" id="a_easter_egg_8c_html_a48aff4fc92d99edc1843836279de1caa"><div class="ttname"><a href="../../d9/d00/_easter_egg_8c.html#a48aff4fc92d99edc1843836279de1caa">EOnTouch</a></div><div class="ttdeci">override void EOnTouch(IEntity other, int extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d00/_easter_egg_8c_source.html#l00106">EasterEgg.c:106</a></div></div>
<div class="ttc" id="a_hatchback__02_8c_html_a3e8f850b08789315e5586096c431c415"><div class="ttname"><a href="../../db/df7/_hatchback__02_8c.html#a3e8f850b08789315e5586096c431c415">EOnPostSimulate</a></div><div class="ttdeci">override void EOnPostSimulate(IEntity other, float timeSlice)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df7/_hatchback__02_8c_source.html#l00492">Hatchback_02.c:492</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_acd2bd274749fe88c223cf2309f6fb9d6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#acd2bd274749fe88c223cf2309f6fb9d6">IsActive</a></div><div class="ttdeci">bool IsActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00130">ModifierBase.c:130</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ad612d0926324764327bf72adae591dbd"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ad612d0926324764327bf72adae591dbd">Deactivate</a></div><div class="ttdeci">void Deactivate(bool trigger=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00216">ModifierBase.c:216</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae8753efaeea05f65094a4875a694a368"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae8753efaeea05f65094a4875a694a368">Activate</a></div><div class="ttdeci">void Activate()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00201">ModifierBase.c:201</a></div></div>
<div class="ttc" id="a_plugin_day_z_infected_debug_8c_html_a8ccf841cb59e451791bcb2e1ac4f1edc"><div class="ttname"><a href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a></div><div class="ttdeci">string name</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00032">PluginDayZInfectedDebug.c:32</a></div></div>
<div class="ttc" id="a_smpt_anim_meta_8c_html_a1044d828832cd398ac046799915a5136"><div class="ttname"><a href="../../d9/dbc/_smpt_anim_meta_8c.html#a1044d828832cd398ac046799915a5136">Play</a></div><div class="ttdeci">protected EAnimPlayState Play()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00143">SmptAnimMeta.c:143</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a32e784d798cbf31e1c3214168eefda85"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a32e784d798cbf31e1c3214168eefda85">EOnInit</a></div><div class="ttdeci">protected override void EOnInit(IEntity other, int extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00201">TestFramework.c:201</a></div></div>
<div class="ttc" id="aclass_anim_event_html"><div class="ttname"><a href="../../d8/d22/class_anim_event.html">AnimEvent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00033">proto.c:34</a></div></div>
<div class="ttc" id="aclass_base_container_html"><div class="ttname"><a href="../../db/da4/class_base_container.html">BaseContainer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00005">EnEntity.c:6</a></div></div>
<div class="ttc" id="aclass_sound_event_html"><div class="ttname"><a href="../../dc/d9a/class_sound_event.html">SoundEvent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00039">proto.c:40</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agroup___constraints_html_dd/d2a/class_contact"><div class="ttname"><a href="../../d8/d4e/group___constraints.html#dd/d2a/class_contact">Contact</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d13/_en_physics_8c_source.html#l00296">EnPhysics.c:297</a></div></div>
<div class="ttc" id="agroup___enforce_html_dd/d17/class_managed"><div class="ttname"><a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div><div class="ttdoc">TODO doc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00106">EnScript.c:107</a></div></div>
<div class="ttc" id="agroup___enforce_html_gad26f01d8716ee335b773c04a1f8d5c82"><div class="ttname"><a href="../../d5/d78/group___enforce.html#gad26f01d8716ee335b773c04a1f8d5c82">TypeID</a></div><div class="ttdeci">int[] TypeID</div><div class="ttdoc">script representation for C++ RTTI types</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00116">EnScript.c:116</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga70ac517aa5d3b3af95f61a2d560d811f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a></div><div class="ttdeci">proto native volatile void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d52/_player_sound_manager_8c_source.html#l00122">PlayerSoundManager.c:122</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga93c78d0bb0fc827950a06351889947dc"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga93c78d0bb0fc827950a06351889947dc">SetTransform</a></div><div class="ttdeci">proto native void SetTransform(vector mat[4], bool immedUpdate=true)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6cbeac509316e19dc1bb30078ed67032.html">2_GameLib</a></li><li class="navelem"><a class="el" href="../../dir_537885011e2061cbebc1050815ff5ab9.html">components</a></li><li class="navelem"><a class="el" href="../../de/d05/game_lib_components_8c.html">gameLibComponents.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
